# Input, Output, and Settings

These functions are responsible for reading in all model configurations (passed
by config file or commandline), administrating them during a run, and printing
any output.

## parameters.toml

This is the default configuration file for Persefone, containing all model parameters.
The syntax is described here: [https://toml.io/en/](https://toml.io/en/)

DO NOT MODIFY THIS FILE FOR SIMULATION EXPERIMENTS! Instead, copy it to another directory,
modify the copy, and then pass it to the model using the `--config` parameter.

## input.jl

```@autodocs
Modules = [Persefone]
Pages = ["core/input.jl"]
```

## output.jl

```@autodocs
Modules = [Persefone]
Pages = ["core/output.jl"]
```
